import { KNativePointer } from "../../src/reexport-for-generated";
import { ETSImportDeclaration } from "./ETSImportDeclaration";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Statement } from "./Statement";
export declare class ETSReExportDeclaration extends Statement {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    get eTSImportDeclarations(): ETSImportDeclaration | undefined;
    get programPath(): string;
    protected readonly brandETSReExportDeclaration: undefined;
}
export declare function isETSReExportDeclaration(node: object | undefined): node is ETSReExportDeclaration;
